Permalink
Browse files

Changed `edge` to `-edge` and tweaked deps.

- `x.x.xedge` < `x.x.x`, and `x.x.x-edge` > `x.x.x`, so the correct notation for the bleeding edge on master is `-edge`.
- Depending on express "< 3.0.0", so that node 0.6.x can be used.
- Removed node version. We're bound to whatever express works with.
  • Loading branch information...
1 parent 928f1ef commit 04881f33832bb63975e3027fa5a186fbe83696da @mauricemach committed Nov 22, 2011
Showing with 9 additions and 10 deletions.
  1. +9 −10 package.json
View
@@ -1,29 +1,28 @@
{
"name": "zappa",
"description": "CoffeeScript minimalist interface to express, socket.io and others",
- "version": "0.3.1edge",
+ "version": "0.3.1-edge",
"author": "Maurice Machado <maurice@bitbending.com>",
"homepage": "http://zappajs.org",
"repository": {"type": "git", "url": "git://github.com/mauricemach/zappa.git"},
"dependencies": {
- "express": "2.4.x",
+ "express": "< 3.0.0",
"socket.io": "0.8.x",
"coffeekup": "0.3.x",
- "node-uuid": "1.2.x",
+ "node-uuid": "1.2.0",
"uglify-js": "1.1.x"
},
"devDependencies": {
- "jsdom": "0.2.5",
- "underscore": "1.1.7",
- "request": "2.1.1",
- "socket.io-client": "0.8.4",
+ "jsdom": "0.2.10",
+ "underscore": "1.2.2",
+ "request": "2.2.5",
+ "socket.io-client": "0.8.7",
"eco": "1.1.0-rc-1",
- "jade": "0.15.4",
- "stylus": "0.15.1"
+ "jade": "0.18.0",
+ "stylus": "0.19.3"
},
"keywords": ["framework", "websockets", "coffeescript", "express", "socket.io", "sammy", "sinatra", "dsl"],
"main": "./lib/zappa",
- "engines": { "node": ">= 0.4.7" },
"contributors": [
"Nicholas Kinsey <nicholas.kinsey@feistystudios.com>",
"Jae Kwon <jae@flywheelnetworks.com>",

0 comments on commit 04881f3

Please sign in to comment.